Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514054 - Performance panels in Volumes dashboard differ from design
Summary: Performance panels in Volumes dashboard differ from design
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-monitoring-integration
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 15:04 UTC by Filip Balák
Modified: 2018-12-07 10:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-07 10:21:35 UTC


Attachments (Terms of Use)
Performance panels (deleted)
2017-11-16 15:04 UTC, Filip Balák
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 149 None None None 2017-11-16 15:05:49 UTC

Description Filip Balák 2017-11-16 15:04:44 UTC
Created attachment 1353555 [details]
Performance panels

Description of problem:
In specification for Volumes dashboard (https://github.com/Tendrl/specifications/issues/224) there are defined panels in Row 3:

> Panel 17: IOPS Trend
> 
> - show the IOPS for the volume over a period of time
> - chart type: Line Chart / Spark
> 
> Panel 19: Throughput Trend
> 
> - show throughput for the host over a period of time
> - chart type: Line Chart / Spark
> ...

but in the implemented ui is only panel Throughput.

Version-Release number of selected component (if applicable):
tendrl-selinux-1.5.3-2.el7rhgs.noarch
tendrl-commons-1.5.4-2.el7rhgs.noarch
tendrl-api-httpd-1.5.4-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.3-2.el7rhgs.noarch
tendrl-ansible-1.5.4-1.el7rhgs.noarch
tendrl-node-agent-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.5.4-2.el7rhgs.noarch
tendrl-grafana-plugins-1.5.4-3.el7rhgs.noarch
tendrl-notifier-1.5.4-2.el7rhgs.noarch
tendrl-api-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.5.4-3.el7rhgs.noarch


How reproducible:
100%

Steps to Reproduce:
1. Import cluster in Web Administration.
2. Open `Volumes` dashboard.

Actual results:
In row 3 `Performance` are panels `Throughput`, `LVM Thin Pool Metadata %`, `LVM Thin Data Usage %`.

Expected results:
According to design there should be `IOPS Trend`, `Throughput Trend`, `LVM Thin Pool Metadata % Trend`, `LVM Thin Data Usage %`. `IOPS Trend` panel is missing completely.

Additional info:

Comment 1 Ju Lim 2018-01-24 21:10:53 UTC
Can IOPS for the volume be derived from the bricks IOPS?  See also https://github.com/Tendrl/monitoring-integration/issues/251#issuecomment-360225670 (which seems to indicate bricks IOPS is being reported but mislabeled as "Throughput" in the Bricks Dashboard currently.

Comment 3 Nishanth Thomas 2018-12-07 10:21:35 UTC
The grafana dashboard panels underdone multiple rounds of reviews by all stakeholders and I believe this bug is not relevant at the moment. Closing the issue.


Note You need to log in before you can comment on or make changes to this bug.